Subject: bug#16740: 24.2; Please allow C-p and C-n in minibuffer

From: Dani Moncayo <[email-masked]>
Date: Thu, 13 Feb 2014 12:41:16 +0100

On Thu, Feb 13, 2014 at 12:32 PM, Ed Avis <[email-masked]> wrote:
>>IOW, I'd rather change bash behavior to match the Emacs one, instead
>>of the other way around.
>
> I expected that to be the response.  And no doubt on the bash mailing
> list it would be the opposite.  I will ask them though.  To my mind the
> best resolution is for both programs to accept both keybindings.

I think that having different meanings for C-p/C-n and M-p/M-n would
give a richer user interface, also in bash, because it would allow, on
one hand to browse the command history (with M-p/M-n) while at the
same time move vertically within a single multiline command (with
C-p/C-n).  Just like in Emacs.   IMO that would be TRT.

-- 
Dani Moncayo